<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/relativeLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.notes.NoteFragment">
    <RelativeLayout
        android:id="@+id/progressbar"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        >
        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:visibility="visible">
        </ProgressBar>
    </RelativeLayout>
    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/btn_add_note"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_gravity="end|bottom"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="16dp"
        android:contentDescription="Add Note"
        android:backgroundTint="@color/purple_200"
        android:src="@android:drawable/ic_input_add"
        tools:ignore="SpeakableTextPresentCheck">
    </com.google.android.material.floatingactionbutton.FloatingActionButton>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_notes"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        app:layoutManager="androidx.recyclerview.widget.GridLayoutManager">
    </androidx.recyclerview.widget.RecyclerView>

</RelativeLayout>